- Qt 5.3
- Qt Multimedia
- C++ Classes
- QMediaServiceProviderPlugin
- Qt 5.3.2 Reference Documentation

# QMediaServiceProviderPlugin Class

The QMediaServiceProviderPlugin class interface provides an interface for QMediaService plug-ins. More...

Header: | `#include <QMediaServiceProviderPlugin>`
qmake: | `QT += multimedia`

- List of all members, including inherited members

## Public Functions

virtual QMediaService * | create(const QString & key) = 0

## Reimplemented Public Functions

virtual void | release(QMediaService * service) = 0

## Detailed Description

The QMediaServiceProviderPlugin class interface provides an interface for QMediaService plug-ins.

A media service provider plug-in may implement one or more of QMediaServiceSupportedFormatsInterface, QMediaServiceSupportedDevicesInterface, and QMediaServiceFeaturesInterface to identify the features it supports.

## Member Function Documentation

### QMediaService * QMediaServiceProviderPlugin::create(const QString & key)`[pure virtual]`

Constructs a new instance of the QMediaService identified by key.

The QMediaService returned must be destroyed with release().

### void QMediaServiceProviderPlugin::release(QMediaService * service)`[pure virtual]`

Destroys a media service constructed with create().